from src.db.collection.collection import Collection
from src.db.models.customerModel import CustomerModel

customerSeedMatrices = {
    "collection": Collection.CUSTOMERS,
    "seed": True,
    "model":CustomerModel,
    "data":[
        {
            "_id":"customers/52872021-add7-4870-ad77-2dc8771624b2",
            "_key":"52872021-add7-4870-ad77-2dc8771624b2",
            "firstName": "Fried",
            "lastName": "Sam Bankman",
            "email":"sbf@gmail.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "0322638888",
                "fullNumber":"+6022638888",
            },
            "address": [{
                "street1": "Axiata Tower",
                "street2": "Jalan Stesen Sentral 5",
                "postalCode": 50470,
                "town": "Bangsa",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        },  {
            "_id":"customers/c21d263b-be57-4291-9707-45b5af377d83",
            "_key":"c21d263b-be57-4291-9707-45b5af377d83",
            "firstName": "Mark",
            "lastName": "Zuckerberg",
            "email":"markzuckerberg@facebook.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "0488888888",
                "fullNumber":"+60488888888",
            },
            "address": [{
                "street1": "Axiata Tower",
                "street2": "Jalan Stesen Sentral 5",
                "postalCode": 50470,
                "town": "Bangsa",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        }, {
            "_id":"customers/55fab447-0cd1-4861-a495-0bc7189dca65",
            "_key":"55fab447-0cd1-4861-a495-0bc7189dca65",
            "firstName": "Jeff",
            "lastName": "Bezos",
            "email":"jeffbezos@amazon.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "0411188888",
                "fullNumber":"+6041118888",
            },
            "address": [{
                "street1": "Boutique Office 1 (BO1-C), Menara 2",
                "street2": "No.3, Jalan Bangsar",
                "postalCode": 59200 ,
                "town": "KL Eco City",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        }, {
            "_id":"customers/069b0b99-7be6-41d9-ae54-c1af4f17031f",
            "_key":"069b0b99-7be6-41d9-ae54-c1af4f17031f",
            "firstName": "Bill",
            "lastName": "Gates",
            "email":"billgates@microsoft.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "04222288888",
                "fullNumber":"+60422228888",
            },
            "address": [{
                "street1": "Menara Exchange106, Lingkaran TRX,",
                "street2": "Tun Razak Exchange,",
                "postalCode": 55188,
                "town": "Kuala Lumpur",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        },  {
            "_id":"customers/241ec15c-9abb-491b-a4b0-6140fa63b98d",
            "_key":"241ec15c-9abb-491b-a4b0-6140fa63b98d",
            "firstName": "Satoshi",
            "lastName": "Nakamoto",
            "email":"satoshi@blockchain.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "03333388888",
                "fullNumber":"+60333338888",
            },
            "address": [{
                "street1": "Menara Exchange108, Lingkaran TRX,",
                "street2": "Tun Razak Exchange,",
                "postalCode": 55188,
                "town": "Kuala Lumpur",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        }, {
             "_id":"customers/907bc509-7499-4f9e-930c-d42175db3773",
            "_key":"907bc509-7499-4f9e-930c-d42175db3773",
            "firstName": "Sam",
            "lastName": "Altman",
            "email":"samaltman@openai.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "0345688888",
                "fullNumber":"+6034568888",
            },
            "address": [{
                "street1": "Warisan Merdeka Tower, Cangkat Stadium",
                "street2": "City Center,",
                "postalCode": 50150 ,
                "town": "Kuala Lumpur",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        }, {
             "_id":"customers/8403a91b-71a4-43d6-b79b-c1f48c8d1e2c",
            "_key":"8403a91b-71a4-43d6-b79b-c1f48c8d1e2c",
            "firstName": "Andrew Yan-Tak",
            "lastName": "Ng",
            "email":"andrew.ng@googlebrain.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "03555588888",
                "fullNumber":"+60355558888",
            },
            "address": [{
                "street1": "Warisan Merdeka Tower, Cangkat Stadium",
                "street2": "City Center,",
                "postalCode": 50150 ,
                "town": "Kuala Lumpur",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        },{
             "_id":"customers/083fcd72-e6e0-4660-b8b2-ce250a38081f",
            "_key":"083fcd72-e6e0-4660-b8b2-ce250a38081f",
            "firstName": "Linus",
            "lastName": "Torvalds",
            "email":"linus.torvalds@linuxfoundation.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "03566588888",
                "fullNumber":"+60356658888",
            },
            "address": [{
                "street1": "Warisan Merdeka Tower, Cangkat Stadium",
                "street2": "City Center,",
                "postalCode": 50150 ,
                "town": "Kuala Lumpur",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        },
          {
            "_id":"customers/49355310-b601-4de3-8e27-6751bc8d5a23",
            "_key":"49355310-b601-4de3-8e27-6751bc8d5a23",
            "firstName": "Tim",
            "lastName": "Berners-Lee",
            "email":"bltim@worldwideweb.com",
            "contact": { 
                "countryCode": "+60",
                "contactNumber": "0321638888",
                "fullNumber":"+60321638888",
            },
            "address": [{
                "street1": "Axiata Tower",
                "street2": "Jalan Stesen Sentral 5",
                "postalCode": 50470,
                "town": "Bangsa",
                "city":"Wilayah Persekutuan Kuala Lumpur",
            }],
            "orgID":"orgs/c2b6256d-0380-4c21-a764-384be6c48dfe", 
            "customerOf": "orgs/839834df-413a-4a7a-a5fc-a1881159230f",
            "createdBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "createdAt":"2023-01-08T07:51:12.002999",
            "updatedBy":"profiles/e2f2f354-f451-49d6-aa3b-36715bca779c",
            "updatedAt":"2023-01-08T07:51:12.003012"
        },  
    ]
}